if SERVER then
	AddCSLuaFile("pills_hooks.lua")
end

local PillHooks = {}

if CLIENT then
	function PillHooks.CalcView(player, pos, ang, fov)
		if player.pill then return player.pill:CalcView(pos, ang, fov) end
	end
	hook.Add("CalcView", "PillHooks.CalcView", PillHooks.CalcView)
	return
end

function PillHooks.EntityTakeDamage(player, inflictor, attacker, amount)
	if player.pill then return player.pill:TakeDamage(inflictor, attacker, amount) end
end
hook.Add("EntityTakeDamage", "PillHooks.EntityTakeDamage", PillHooks.EntityTakeDamage)

function PillHooks.KeyPress(player, key)
	if player.pill then return player.pill:KeyPress(key) end
end
hook.Add("KeyPress", "PillHooks.KeyPress", PillHooks.KeyPress)

function PillHooks.KeyRelease(player, key)
	if player.pill then return player.pill:KeyRelease(key) end
end
hook.Add("KeyRelease", "PillHooks.KeyRelease", PillHooks.KeyRelease)

function PillHooks.PlayerDeath(player, weapon, attacker)
	if player.pill then return player.pill:Killed(attacker, weapon) end
end
hook.Add("PlayerDeath", "PillHooks.PlayerDeath", PillHooks.PlayerDeath)

function PillHooks.PlayerHurt(player, attacker)
	if player.pill then return player.pill:Hurt(attacker) end
end
hook.Add("PlayerHurt", "PillHooks.PlayerHurt", PillHooks.PlayerHurt)

function PillHooks.PlayerSpawn(player)
	if player.pill then
		GAMEMODE:PlayerSpawn(player)
		player.pill:Spawned()
		return false
	end
end
hook.Add("PlayerSpawn", "PillHooks.PlayerSpawn", PillHooks.PlayerSpawn)

function PillHooks.PlayerShouldTakeDamage(player, attacker)
	if player.pill then return player.pill:ShouldTakeDamage(attacker) end
end
hook.Add("PlayerShouldTakeDamage", "PillHooks.PlayerShouldTakeDamage", PillHooks.PlayerShouldTakeDamage)

function PillHooks.SetPlayerAnimation(player, animation)
	if player.pill then return player.pill:SetAnimation(player, animation) end
end
hook.Add("SetPlayerAnimation", "PillHooks.SetPlayerAnimation", PillHooks.SetPlayerAnimation)

function PillHooks.UpdateAnimation(player)
	if player.pill then return player.pill:Think() end
end
hook.Add("UpdateAnimation", "PillHooks.UpdateAnimation", PillHooks.UpdateAnimation)
